{
  "schema_version": "1.4.0",
  "id": "GHSA-qh64-49gx-35pg",
  "modified": "2022-05-01T17:49:14Z",
  "published": "2022-05-01T17:49:14Z",
  "aliases": [
    "CVE-2007-1003"
  ],
  "details": "Integer overflow in ALLOCATE_LOCAL in the ProcXCMiscGetXIDList function in the XC-MISC extension in the X.Org X11 server (xserver) 7.1-1.1.0, and other versions before 20070403, allows remote authenticated users to execute arbitrary code via a large expression, which results in memory corruption.",
  "severity": [],
  "affected": [],
  "references": [
    {
      "type": "ADVISORY",
      "url": "https://nvd.nist.gov/vuln/detail/CVE-2007-1003"
    },
    {
      "type": "WEB",
      "url": "https://exchange.xforce.ibmcloud.com/vulnerabilities/33424"
    },
    {
      "type": "WEB",
      "url": "https://issues.rpath.com/browse/RPL-1213"
    },
    {
      "type": "WEB",
      "url": "https://oval.cisecurity.org/repository/search/definition/oval%3Aorg.mitre.oval%3Adef%3A1980"
    },
    {
      "type": "WEB",
      "url": "https://oval.cisecurity.org/repository/search/definition/oval%3Aorg.mitre.oval%3Adef%3A9798"
    },
    {
      "type": "WEB",
      "url": "http://issues.foresightlinux.org/browse/FL-223"
    },
    {
      "type": "WEB",
      "url": "http://labs.idefense.com/intelligence/vulnerabilities/display.php?id=503"
    },
    {
      "type": "WEB",
      "url": "http://lists.freedesktop.org/archives/xorg-announce/2007-April/000286.html"
    },
    {
      "type": "WEB",
      "url": "http://lists.opensuse.org/opensuse-security-announce/2008-04/msg00005.html"
    },
    {
      "type": "WEB",
      "url": "http://rhn.redhat.com/errata/RHSA-2007-0125.html"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/24741"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/24745"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/24756"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/24758"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/24765"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/24770"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/24771"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/24772"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/24791"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/25004"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/25006"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/25195"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/25216"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/25305"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/29622"
    },
    {
      "type": "WEB",
      "url": "http://security.gentoo.org/glsa/glsa-200705-10.xml"
    },
    {
      "type": "WEB",
      "url": "http://sunsolve.sun.com/search/document.do?assetkey=1-26-102886-1"
    },
    {
      "type": "WEB",
      "url": "http://support.avaya.com/elmodocs2/security/ASA-2007-178.htm"
    },
    {
      "type": "WEB",
      "url": "http://www.debian.org/security/2007/dsa-1294"
    },
    {
      "type": "WEB",
      "url": "http://www.mandriva.com/security/advisories?name=MDKSA-2007:079"
    },
    {
      "type": "WEB",
      "url": "http://www.mandriva.com/security/advisories?name=MDKSA-2007:080"
    },
    {
      "type": "WEB",
      "url": "http://www.novell.com/linux/security/advisories/2007_27_x.html"
    },
    {
      "type": "WEB",
      "url": "http://www.openbsd.org/errata39.html#021_xorg"
    },
    {
      "type": "WEB",
      "url": "http://www.openbsd.org/errata40.html#011_xorg"
    },
    {
      "type": "WEB",
      "url": "http://www.redhat.com/support/errata/RHSA-2007-0126.html"
    },
    {
      "type": "WEB",
      "url": "http://www.redhat.com/support/errata/RHSA-2007-0127.html"
    },
    {
      "type": "WEB",
      "url": "http://www.securityfocus.com/archive/1/464686/100/0/threaded"
    },
    {
      "type": "WEB",
      "url": "http://www.securityfocus.com/archive/1/464816/100/0/threaded"
    },
    {
      "type": "WEB",
      "url": "http://www.securityfocus.com/bid/23284"
    },
    {
      "type": "WEB",
      "url": "http://www.securityfocus.com/bid/23300"
    },
    {
      "type": "WEB",
      "url": "http://www.securitytracker.com/id?1017857"
    },
    {
      "type": "WEB",
      "url": "http://www.ubuntu.com/usn/usn-448-1"
    },
    {
      "type": "WEB",
      "url": "http://www.vupen.com/english/advisories/2007/1217"
    },
    {
      "type": "WEB",
      "url": "http://www.vupen.com/english/advisories/2007/1548"
    }
  ],
  "database_specific": {
    "cwe_ids": [],
    "severity": "HIGH",
    "github_reviewed": false,
    "github_reviewed_at": null,
    "nvd_published_at": "2007-04-06T01:19:00Z"
  }
}